## Table of Contents

* [Read Me](/README.md)
* [Introduction](/docs/introduction/README.md)
  * [Beginner Tutorial](/docs/introduction/BeginnerTutorial.md)
  * [Saga background](/docs/introduction/SagaBackground.md)
* [Basic Concepts](/docs/basics/README.md)
  * [Using Saga Helpers](/docs/basics/UsingSagaHelpers.md)
  * [Declarative Effects](/docs/basics/DeclarativeEffects.md)
  * [Dispatching actions](/docs/basics/DispatchingActions.md)
  * [Error handling](/docs/basics/ErrorHandling.md)
  * [A common abstraction: Effect](/docs/basics/Effect.md)
* [Advanced Concepts](/docs/advanced/README.md)
  * [Pulling future actions](/docs/advanced/FutureActions.md)
  * [Non blocking calls](/docs/advanced/NonBlockingCalls.md)
  * [Running tasks in parallel](/docs/advanced/RunningTasksInParallel.md)
  * [Starting a race between multiple Effects](/docs/advanced/RacingEffects.md)
  * [Sequencing Sagas using yield*](/docs/advanced/SequencingSagas.md)
  * [Composing Sagas](/docs/advanced/ComposingSagas.md)
  * [Task cancellation](/docs/advanced/TaskCancellation.md)
  * [redux-saga's fork model](/docs/advanced/ForkModel.md)
  * [Common Concurrency Patterns](/docs/advanced/Concurrency.md)
  * [Examples of Testing Sagas](/docs/advanced/Testing.md)
  * [Connecting Sagas to external Input/Output](/docs/advanced/UsingRunSaga.md)
  * [Using Channels](/docs/advanced/Channels.md)
  * [Root Saga Patterns](/docs/advanced/RootSaga.md)
* [Recipes](/docs/recipes/README.md)
* [External Resources](/docs/ExternalResources.md)
* [Troubleshooting](/docs/Troubleshooting.md)
* [Glossary](/docs/Glossary.md)
* [API Reference](/docs/api/README.md)
